package client.window;

public record DisplayMode(int width, int height, int refresh) {
	public String toString() {
		return String.format("%dx%d @ %d Hz", this.width, this.height, this.refresh);
	}
	
	public boolean equals(Object obj) {
		if(!(obj instanceof DisplayMode))
			return false;
		DisplayMode other = (DisplayMode)obj;
		return this.width == other.width && this.height == other.height && this.refresh == other.refresh;
	}
}
